# Info

## Endpoints

- `GET /messaging/info/version`: [Get version](https://docs.polymorfa.com/api/info/get-version)
- `GET /messaging/info/status`: [Get status](https://docs.polymorfa.com/api/info/get-status)

## Get version

`GET https://api.polymorfa.com/messaging/info/version` (Messaging API)

### Request

```bash
curl "https://api.polymorfa.com/messaging/info/version" \
  -H "Authorization: Bearer <POLYMORFA_API_KEY>" \
  -H "Polymorfa-Version: 2026-09-22"
```

### Responses

#### 200

Version info
- `version` (string, required). Specifies version for this native version response.
- `buildTime` (string, required). ISO 8601 timestamp when this API build was produced.
- `env` (string, required). Specifies env for this native version response.
- `apiVersion` (string, required). Specifies api version for this native version response.
- `minSupportedVersion` (string, required). Specifies min supported version for this native version response.

Headers:

- `X-RateLimit-Limit` (integer, min 1). Team request quota per rolling minute, when the per-team request limiter applies.
- `X-RateLimit-Remaining` (integer, min 0). Requests left in the per-team quota; zero when this limiter rejects the request.
- `X-RateLimit-Reset` (integer, min 0). Unix timestamp in seconds when the oldest counted request leaves the rolling window, when the per-team request limiter applies. Follow Retry-After on a rejected request.

```json
{
  "version": "string",
  "buildTime": "string",
  "env": "string",
  "apiVersion": "string",
  "minSupportedVersion": "string"
}
```

## Get status

`GET https://api.polymorfa.com/messaging/info/status` (Messaging API)

### Request

```bash
curl "https://api.polymorfa.com/messaging/info/status" \
  -H "Authorization: Bearer <POLYMORFA_API_KEY>" \
  -H "Polymorfa-Version: 2026-09-22"
```

### Responses

#### 200

Status info
- `status` (string, required). Current status of this resource or operation.
- `uptime` (string, required). Specifies uptime for this native status response.
- `version` (string, required). Specifies version for this native status response.
- `env` (string, required). Specifies env for this native status response.

Headers:

- `X-RateLimit-Limit` (integer, min 1). Team request quota per rolling minute, when the per-team request limiter applies.
- `X-RateLimit-Remaining` (integer, min 0). Requests left in the per-team quota; zero when this limiter rejects the request.
- `X-RateLimit-Reset` (integer, min 0). Unix timestamp in seconds when the oldest counted request leaves the rolling window, when the per-team request limiter applies. Follow Retry-After on a rejected request.

```json
{
  "status": "string",
  "uptime": "string",
  "version": "string",
  "env": "string"
}
```
